• Pricing
  • Blog
Log inBook a demo
Activate add-on POSTCreate add-on POSTDeactivate add-on DELETEDelete add-on DELETEGet add-on GETList active add-ons GETList add-ons GETUpdate add-on PATCH
System status
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

Get add-on

Retrieve an add-on by its public ID or slug.

GET
/addons/{id}

Retrieve an add-on by its public ID or slug.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/addons/string"
{  "id": "string",  "name": "string",  "slug": "string",  "description": "string",  "basePrice": -9007199254740991,  "featureCode": "string",  "featureName": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "consumptionModel": "boolean",  "includedUnits": -9007199254740991,  "overageRate": -9007199254740991,  "creditCost": -9007199254740991,  "object": "addon",  "livemode": true}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}

Delete add-on DELETE

Soft-delete an add-on. Fails if the add-on has active subscriptions.

List active add-ons GET

List all active add-ons for a customer's subscription.